%define _commit 09814d48d50816305a8e6c1a4ae3e2bcc4ba725a
Name:          containerd
Version:       1.5.8
Release:       1mamba
Summary:       A daemon to control OCI container runtimes
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://containerd.io/
Source:        https://github.com/containerd/containerd.git/v%{version}/containerd-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libgo-devel >= 7.3.0-1mamba
BuildRequires: gcc-go

%description
A daemon to control OCI container runtimes.

#% debug_package

%prep
%setup -q
mkdir -p src/github.com/containerd
ln -rsf $PWD src/github.com/containerd/containerd

# fix paths in service
sed -i 's,/sbin,/usr/bin,;s,/usr/local,/usr,' containerd.service

%build
export GOPATH=$PWD
cd src/github.com/containerd/containerd
export GOFLAGS="-trimpath"

# Required since Go 1.16
export GO111MODULE=off

%make VERSION=v%{version}.m REVISION=%{_commit}.m

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd src/github.com/containerd/containerd
%makeinstall DESTDIR=%{buildroot}/usr
install -Dm644 containerd.service %{buildroot}%{_unitdir}/containerd.service

%post
%systemd_post containerd
:

%preun
%systemd_preun containerd
:

%postun
%systemd_postun containerd
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/containerd
%{_bindir}/containerd-shim
%{_bindir}/containerd-shim-runc-v1
%{_bindir}/containerd-shim-runc-v2
%{_bindir}/containerd-stress
%{_bindir}/ctr
%{_unitdir}/containerd.service
%doc LICENSE

%changelog
* Wed Nov 17 2021 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Wed Nov 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Sun Jun 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-3mamba
- rebuilt with go-pie

* Thu Apr 19 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=7.3.0-1mamba

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- update to 0.2.8

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5-1mamba
- package created using the webbuild interface
